Package org.eclipse.lemminx.extensions.filepath

## Interface IFilePathSupportParticipant

All Known Implementing Classes:
  `CatalogFilePathSupportParticipant`, `RNGFilePathSupportParticipant`, `XSDFilePathSupportParticipant`, `XSLFilePathSupportParticipant`

    public interface IFilePathSupportParticipant

File path support participant API.

This API provides the capability to contribute to mark some DOM nodes as file type to have file path completion inside the DOM node.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<IFilePathExpression>` `collectFilePathExpressions​(DOMDocument document)` Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

### Method Detail

#### collectFilePathExpressions

    List<IFilePathExpression> collectFilePathExpressions​(DOMDocument document)

Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

Parameters:
  `document` - the DOM document.
Returns:
  the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.